/* ESPECIFICIDAD */

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {

}

h1 {
  margin-top: 40px;
}


/* 1. Elementos contra clases */

ul li {
  color: red;
}

.list-a .list__element {
  color: blue;
}


/* 2. Misma cantidad de elementos y clases */

ul .list__element {
  color: orange;
}

.list-b li {
  color: pink;
}


/* 3. Estado Hover – Elementos, clases, IDs y pseudo-clases */

#navlist .list__element:hover {
  color: blue;
}

nav .list .list__element:nth-child(2):hover {
  color: red;
}

nav#navlist li:hover {
  color: pink;
}


/* 4. Estilos en línea */

.list__element:nth-child(2) {
  color: blue!important;
}

.list .list__element {
  color: red;
}
